-- Name: RAT-007 - Commute
-- Author: funkyfranky
-- Date Created: 24 Sep 2017
--
-- # Situation:
--
-- Spawn one or more of the aircraft of the same type at an airport and let them fly to destination airport.
-- Once the aircraft arrives at its destination, it will be respawned there and fly back to the original airport.
-- Note that:
-- We do NOT have to set a departure or destination airports. If we don't, the first departure and destination are random.
-- Commute() also works for random destination and departure airports. But once they are chosen, aircraft will only commute between those.
-- Also note that Commute() does NOT work with spawn in air since the departure airport is not defined then.     
-- 
-- # Test cases:
-- 
-- 1. Observe an aircraft being spawned at an airport and fly back and forth between an airport and Al Minhad AB until the end of time.

-- Create RAT object. The only required parameter is the name of the template group in the mission editor.
local IRANAWACS=RAT:New("Iran Air Force")

-- Set a destination aiport.
IRANAWACS:SetDestination("Qeshm Island")

-- This makes aircraft respawn at their destination airport and fly back to its departure. Hence, departure cannot be in air.
IRANAWACS:Commute()

-- Spawn one or more aircraft.
IRANAWACS:Spawn(1)

